Package org.kapott.hbci.sepa.jaxb.pain_002_001_10

# Class EquivalentAmount2

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_10.EquivalentAmount2

public class EquivalentAmount2 extends Object

Java class for EquivalentAmount2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EquivalentAmount2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}ActiveOrHistoricCurrencyAndAmount"/>
             <element name="CcyOfTrf" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}ActiveOrHistoricCurrencyCode"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ActiveOrHistoricCurrencyAndAmount`
`amt`
`protected String`
`ccyOfTrf`

## Constructor Summary

Constructors
Constructor
Description
`EquivalentAmount2()`

## Method Summary

Modifier and Type
Method
Description
`ActiveOrHistoricCurrencyAndAmount`
`getAmt()`
Gets the value of the amt property.
`String`
`getCcyOfTrf()`
Gets the value of the ccyOfTrf property.
`void`
`setAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the amt property.
`void`
`setCcyOfTrf(String value)`
Sets the value of the ccyOfTrf property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### amt

protected ActiveOrHistoricCurrencyAndAmount amt

### ccyOfTrf

protected String ccyOfTrf

## Constructor Details

### EquivalentAmount2

public EquivalentAmount2()

## Method Details

### getAmt

public ActiveOrHistoricCurrencyAndAmount getAmt()
Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setAmt

public void setAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

### getCcyOfTrf

public String getCcyOfTrf()
Gets the value of the ccyOfTrf property.

Returns:
  possible object is `String`

### setCcyOfTrf

public void setCcyOfTrf(String value)
Sets the value of the ccyOfTrf property.

Parameters:
  `value` - allowed object is `String`